server:
  base-url:
  local-url:
  port: 4000

jwt:
  token:
    expires-ttl: 1440
    secret: "5Lm25V3Qd7aut8dr4QUxm5PZUrSFs"

postgresql:
  host: 103.191.71.2
  port: 5432
  driver: postgres
  db: eslogad_db
  username: eslogad_user
  password: 'M9u$e#jT2@qR4pX!zL'
  ssl-mode: disable
  max-idle-connections-in-second: 600
  max-open-connections-in-second: 600
  connection-max-life-time-in-second: 600
  debug: false

s3:
  access_key_id: minioadmin          # from MINIO_ROOT_USER or Access Key you created in console
  access_key_secret: minioadmin123      # from MINIO_ROOT_PASSWORD or Secret Key you created in console
  endpoint: https://s3.apskel.org  # S3 API endpoint, not console port
  bucket_name: enaklo
  log_level: Error
  host_url: 'https://s3.apskel.org/'

log:
  log_format: 'json'
  log_level: 'debug'

onlyoffice:
  url: 'https://onlyoffice.apskel.org/'
  token: '2DmKgd5PT3n1vH3f2v2iRZUqTVHj9GQx'

novu:
  api_key: 'f7de60a16abf825996191bf69ea8054a'  # Add your Novu API key here
  application_id: 'cDeX8L5VWe-r'  # Add your Novu Application ID here
  base_url: 'https://novu-api.apskel.org'  # Optional: defaults to https://api.novu.co
  incoming_letter_workflow_id: 'notification-dashbpard'

department:
  parent_path: 'eslogad.aslog'  # Parent path for departments to be included in API
  excluded_paths:  # Paths to exclude from department APIs
    - 'superadmin'
    - 'system'